import { ListenerService } from "../ListenerService";
/**
 * DemoPlaybackHelper is responsible for listening to the console for messages left behind by DemoRecordingHelper.
 * For instance, a message about a player being muted might have been left behind and DemoPlaybackHelper acts on this
 * information by unmuting the player. This is just an example of its purpose and isn't actually necessary any more
 * with demos recorded after the changes made in 1.1.0.
 */
export declare class DemoPlaybackHelper implements ListenerService {
    private static readonly log;
    private static readonly playerMutedByDemoHelperRegExp;
    private static readonly demoInfoRegExp;
    name(): string;
    canHandle(consoleLine: string): boolean;
    handleLine(consoleLine: string): Promise<void>;
    private static currentlyPlayingADemo;
    private static getCurrentDemoName;
}
