"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SteamID = void 0;
const axios_1 = require("axios");
const LogHelper_1 = require("./LogHelper");
const ConfigFactory_1 = require("./ConfigFactory");
class SteamID {
    constructor() {
        this.log = LogHelper_1.LogHelper.getLogger('SteamID');
        this.config = ConfigFactory_1.ConfigFactory.getConfigInstance().getConfig();
        this.steamWebAPIKey = this.config.steam.steam_web_api_key;
        this.steamID64 = this.config.steam.steamID64;
        this.GetPlayerSummariesV0002 = "https://api.steampowered.com/ISteamUser/GetPlayerSummaries/v0002/";
    }
    async getPlayerProfileName() {
        let playerName;
        try {
            const response = await axios_1.default.get(`${this.GetPlayerSummariesV0002}?key=${(this.steamWebAPIKey)}&steamids=${(this.steamID64)}`);
            playerName = response.data.response["players"][0]["personaname"];
        }
        catch (error) {
            this.log.error(error);
            throw error;
        }
        return playerName;
    }
}
exports.SteamID = SteamID;
//# sourceMappingURL=SteamID.js.map