export declare class TimeoutPromise {
    private readonly consolePromiseTimeoutMs;
    private readonly consoleUserInputPromiseTimeoutMs;
    constructor(config: {
        [p: string]: any;
    });
    /**
     * @see https://italonascimento.github.io/applying-a-timeout-to-your-promises/
     * @param promise a promise to add a timeout to
     * @param descriptiveTaskName some name that will make sense to someone when they're trying to figure out the specific promise that failed and what it was doing
     * @param isUserDecision whether or not this promise is for a user's decision, in which case the promise should wait console_user_input_wait_time seconds (per config.ini)
     * @param additionalDetailsAboutRequest provides additional context for why this request was made. For example, 'to get the name of the current map'
     * @returns a promise that will be rejected after config.internals.console_output_promise_wait_time milliseconds but won't be rejected if the provided promise resolves or is rejected before then
     */
    timeoutPromise: <T>(promise: Promise<T>, descriptiveTaskName: string, isUserDecision: boolean, additionalDetailsAboutRequest?: string | undefined) => Promise<T>;
}
